import { PromptTemplate } from "../aiProvider/promptTemplates.js";
export declare class DocBuilderRoles {
    placeholder: string;
    promptKey: PromptTemplate;
    static generateMarkdownFileFromRoles(roleDescriptions: any[], outputFile: string): Promise<void>;
    static getDescriptionWithAI(roleDescriptions: any[]): Promise<string>;
    static generateJsonTreeFileFromRoles(roleDescriptions: any[]): Promise<void>;
    static buildHierarchyTree(roleDescriptions: any[]): any[];
}
